Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

QXcb Connection

Hello!
I'm learning ROS for a college project and I'm running Ubuntu 16.04 off WSL as I'm not allowed to dual-boot my laptop. I don't have a spare machine lying around atm, so I'm running it like this.
Now the problem is that when I run rqt, I'm getting an error stating:

QXcbConnection: Could not connect to display :0

On running

sudo apt-get install ros-lunar-rqt

I am getting:

Reading package lists... Done
Building dependency tree
Reading state information... Done
ros-lunar-rqt is already the newest version (0.5.0-0xenial-20171120-112204-0800).
0 upgraded, 0 newly installed, 0 to remove and 127 not upgraded.

Any help to get it running would be appreciated!
P.S. I'm running Xming as the X-Server.